Skip to main content
POST
/
v1
/
sdk
/
purchases
/
{purchaseRef}
/
reactivate
Reactivate a cancelled purchase
curl --request POST \
  --url https://api.example.com/v1/sdk/purchases/{purchaseRef}/reactivate
import requests

url = "https://api.example.com/v1/sdk/purchases/{purchaseRef}/reactivate"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.example.com/v1/sdk/purchases/{purchaseRef}/reactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "purchase": {
    "amount": 9900,
    "createdAt": "<string>",
    "currency": "GBP",
    "customerEmail": "customer@example.com",
    "customerRef": "cus_3C4D5E6F",
    "isRecurring": true,
    "productRef": "prd_1A2B3C4D",
    "reference": "pur_1A2B3C4D",
    "startDate": "<string>",
    "status": "active",
    "autoRenew": true,
    "cancellationReason": "<string>",
    "cancelledAt": "<string>",
    "endDate": "<string>",
    "exchangeRate": 1.3082,
    "metadata": {},
    "nextBillingDate": "<string>",
    "originalAmount": 10000,
    "paidAt": "<string>",
    "planSnapshot": {
      "currency": "USD",
      "planType": "recurring",
      "price": 2999,
      "billingCycle": "monthly",
      "creditsPerUnit": 1,
      "features": {},
      "freeUnits": 100,
      "limit": 5000,
      "limits": {},
      "meterRef": "mtr_1A2B3C4D",
      "name": "Pro Monthly",
      "reference": "pln_1A2B3C4D"
    },
    "productName": "API Gateway Manager",
    "usage": {
      "overageCost": 0,
      "overageUnits": 0,
      "used": 150,
      "periodEnd": "2025-11-01T00:00:00Z",
      "periodStart": "2025-10-01T00:00:00Z"
    }
  },
  "success": true
}

Path Parameters

purchaseRef
string
required

Purchase reference or ID

Example:

"pur_1A2B3C4D"

Response

Purchase reactivated successfully

purchase
object
success
boolean